Subject: Re: bug#75329: 30.0.93; gnus: lowering thread score doesn't work on e-mail threads (...?)

From: Christopher Howard <[email-masked]>
Date: Thu, 09 Jan 2025 07:18:15 -0900

Mike Kupfer <[email-masked]> writes:

> 1. select the email that started the thread, not just one near the top.
> (This might be an artifact of the thread that I tested on.  You probably
> just need to select an email that everything afterwards refers to in the
> References header.)
>
> 2. Use "L t s t" (s, not e).  I expect substring to be safe, because
> AFAIK, the message ID for one email cannot be a substring of the message
> ID for a second email, due to the angle brackets (<, >) being reserved.

Okay, thank you for the information. This is working for me as well, the way you described.

One issue for me here is how to get to the start of the thread quickly, since the actual start of the thread might be hidden. I suppose I could run (gnus-summary-insert-old-articles t) and then (gnus-summary-top-thread). But I know that gnus-summary-insert-old-articles can take a really long time in an IMAP summary buffer so I'm not sure if that is really practical. I guess I could do something like (gnus-summary-insert-old-articles 200) instead and hope that is good enough. Any thoughts on this?

-- 
Christopher Howard